--! \file
--! \brief Bath_timer theme script

local Message_second = 3


function setup(theme)
   math.randomseed(os.time())
   theme:set_pattern("normal")

   theme:set_message_from_position(75, 4)

   local message = "航空母艦、赤城です。\n空母機動部隊を編成するなら、\n私にお任せ下さいませ"
   theme:set_message(message, Message_second)
end


function single_clicked(theme)
   local messages = {
      "艦載機の皆さん、用意はいい？",
      "流星？\n九七艦攻とは違うのですか？",
      "烈風？\nいえ、知らない子ですね",
      "作戦会議でしょうか？",
      "いいお湯ですね～\n長過ぎ…ですって？",
      "一航戦、\n赤城、出ます！",
   }

   local index = math.floor(math.random() * (#messages - 1)) + 1
   local message = messages[index]
   theme:set_message(message, Message_second)
end


function double_clicked(theme)
   theme:order_capture()
end


function capture_clicked(theme)
end


function timer_captured(theme)
   theme:set_pattern("wink")
end


function task_completed(theme,item)
   local message = ""

   local type = item:type()
   if type == Timer_item.Mission then
      message = "艦隊が帰投しました"

   elseif type == Timer_item.Repair then
      message = "お風呂が空いたようね。"

   elseif type == Timer_item.Create then
      message = "機動部隊に、新しい艦が参加出来ます"
   end

   theme:set_message(message, Message_second)
   theme:set_pattern("wink")
end


function position_changed(theme, x, y, w, h)
   local Theme_offset_x =-175
   local Theme_offset_y =-250
   local Theme_width = 150
   local Theme_height = 250

   local Bottom_offset = 6

   local theme_x = x - Theme_width/2 + w/2
   local theme_y = y - Theme_height
   theme:move(theme_x, theme_y + Bottom_offset)
end


function animation_completed(theme)
   local value = math.random()
   local emotion
   if value < 0.90 then
      emotion = "normal"
   elseif value > 0.99 then
      emotion = "wink"
   else
      emotion = "blink"
   end

   theme:set_pattern(emotion)
end


function idle(theme)
end
